Name: kcachegrind
Version: 0.4.4
Release: alt1
%define fullname %name-%version
%define _verify_elf_method none
License: GPL
Group: Development/Other
Url: http://kcachegrind.sf.net/
Summary: KCachegrind - profiling information visualizer
Summary(ru_RU.KOI8-R): KCachegrind -     

Source: %fullname.tar.gz
Source1: kcachegrind.menu

Requires: valgrind

# Automatically added by buildreq on Tue Oct 14 2003
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libxml2 libxslt xml-utils zlib-devel

%description
KCachegrind visualizes traces, generated by profiling, in various ways; most
notable is the TreeMap visualization of the calls happening and a condensed
version of it, the Coverage analysis.  KCachegrind is designed to allow fast
browsing and to provide a quick overview of very large programs, such as KDE
applications (but not limited to!). 

At the moment, it uses Cachegrind as profiling backend, which is using the
excellent CPU simulator in Valgrind. Thus, profiling does not need any
preparation, can cope with shared libraries and plugin architectures, and
allows for profile runs to not influence the measuring by the profile itself
(all in contrast to e.g. GProf). Disadvantage is slower profile runs,
unfortunately.

%description -l ru_RU.KOI8-R
KCachegrind -      
    cachegrind.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} \
	--mandir=%{_mandir} --infodir=%{_infodir} --without-included-gettext
%make_build

%install
%__make DESTDIR=$RPM_BUILD_ROOT install
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%doc README AUTHORS README.cvs TODO doc/DESIGN
%_menudir/%name
%_datadir/applnk/Development/*
%_datadir/apps/*
%_datadir/mimelnk/application/*
%_datadir/locale/de/LC_MESSAGES/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/48x48/apps/*

%changelog
* Tue Oct 14 2003 Ott Alex <ott@altlinux.ru> 0.4.4-alt1
- New version

* Thu Sep 11 2003 Ott Alex <ott@altlinux.ru> 0.4.3-alt1
- New version

* Sat Mar 01 2003 Ott Alex <ott@altlinux.ru> 0.3a-alt1
- First build for ALTLinux

